<template lang="">
    <div>
        <h1>RESULTS</h1>
        <h2 class="score-class">SCORE = {{score}}</h2>
        <!--Looping through the answers and also using the index to get the correct answer (inside li element)-->
        <li class="result-container" v-for="(answer, index) in answers" :key="index">
            <div>
                <!--Display the answers and correct answers-->
                <p class=results-question-index>Question: {{index}}</p>
                <p>Your answer: {{answer}}</p>
                <p>Correct answer: {{correctAnswers[index]}}</p>
            </div>
        </li>
        <!--replay functionality-->
        <button class="action-buttons" @click="onQuestionClick">REPLAY</button>
        <br>
        <!--back to start functionality-->
        <button class="action-buttons" @click="onStartClick">GO TO START</button>
    </div>
</template>
<script>

//importing functions to map actions and state for cleaner code
import { mapActions, mapState } from 'vuex'

export default {
    name: 'Result',
    methods: {
        //need to soft reset some the state if the user wants to play again
        ...mapActions([ 'softResetState' ]),
        onQuestionClick() {
            this.softResetState()
            this.$router.push('/question')
        },
        onStartClick() {
            this.softResetState()
            this.$router.push('/')
        }
    },
    computed: {
        //fetching answer list, correct answer list, and score
        ...mapState([ 'answers',
                    'correctAnswers',
                    'score' ])
    },
}
</script>

<!--add scoped attribute to limit CSS to this component only-->
<style scoped>

/* splitting the results into sections for user readability
by adding a solid black line at the bottom */
.result-container {
    border-bottom: 0.3rem solid black;
}

/* styling the Question X text above the result display */
.results-question-index{
    font-weight: bolder;
    font-size: 1.2rem;
    color: rgb(14, 2, 2);
    font-family: 'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;
}

/* styling the return and go to start button */
.action-buttons {
    color: rgb(247, 247, 208);
    background-color: rgb(3, 3, 34);
    font-weight:lighter;
    font-size: 2rem;
}
</style>